https://marketcheck-prod.apigee.net/v2/search/rv/uk/activeThis endpoint provides search on RV inventory. This API produces a list of currently active RV from the market for the given search criteria. The API results are limited to allow pagination upto 5000 rows. The search API facilitates the following use cases - 1. Search RV around a given geo-point within a given radius 2. Search RV for a specific year / make / model or combination of these 3. Search RV matching multiple year, make, model combinatins in the same search request 4. Filter results by most RV specification attributes 5. Filter RV within a given price / miles range 6. Specify a sort order for the results on price / miles / listed date 7. Search RV for a given City / State combination 8. Get Facets to build the search drill downs 9. Get Market averages for price/miles for your search
Filter RV listings on category
To filter listing on postal code around which they are listed
To filter rv on mtplm
To filter rv on their sub-category
To filter rv on their availability_status
To filter rv on their berths
width range to filter listings on width in the range given. Range to be given in the format - min-max e.g. 4-8
width range to filter listings on exterior_length in the range given. Range to be given in the format - min-max e.g. 4-8
width range to filter listings on interior_length in the range given. Range to be given in the format - min-max e.g. 4-8
To filter rv on their drive_type
To filter rv on their steering
To filter rv on their chassis
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://marketcheck-prod.apigee.net/v2/search/rv/uk/active' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://marketcheck-prod.apigee.net/v2/search/rv/uk/activeThis endpoint provides search on RV inventory. This API produces a list of currently active RV from the market for the given search criteria. The API results are limited to allow pagination upto 5000 rows. The search API facilitates the following use cases - 1. Search RV around a given geo-point within a given radius 2. Search RV for a specific year / make / model or combination of these 3. Search RV matching multiple year, make, model combinatins in the same search request 4. Filter results by most RV specification attributes 5. Filter RV within a given price / miles range 6. Specify a sort order for the results on price / miles / listed date 7. Search RV for a given City / State combination 8. Get Facets to build the search drill downs 9. Get Market averages for price/miles for your search
Filter RV listings on category
To filter listing on postal code around which they are listed
To filter rv on mtplm
To filter rv on their sub-category
To filter rv on their availability_status
To filter rv on their berths
width range to filter listings on width in the range given. Range to be given in the format - min-max e.g. 4-8
width range to filter listings on exterior_length in the range given. Range to be given in the format - min-max e.g. 4-8
width range to filter listings on interior_length in the range given. Range to be given in the format - min-max e.g. 4-8
To filter rv on their drive_type
To filter rv on their steering
To filter rv on their chassis
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://marketcheck-prod.apigee.net/v2/search/rv/uk/active' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}